// Copyright 2002 Adam Megacz, see the COPYING file for licensing [GPL]
package org.xwt;

/** 
 *    <p>
 *    The in-memory representation of a PNG or GIF image. It is
 *    read-only. It is usually passed to DoubleBuffer.drawPicture()
 *    </p>
 *
 *    <p>
 *    Implementations of the Platform class should return objects
 *    supporting this interface from the createPicture() method. These
 *    implementations may choose to implement caching strategies (for
 *    example, using a Pixmap on X11).
 *    </p>
 */
public abstract class Picture {
    public abstract int getHeight();
    public abstract int getWidth();
}
